<bugID>1100698<Summary>Fix browser_save_video.js to work in e10s mode</Summary><Description>This test has lots of issues. For one, it relies on the context menu to open, which kind of puts it in the same boat as bug 1093155, except it doesn't use document.popupNode. It *does* use synthesizeMouseAtCenter, which doesn't work in e10s (bug 933103).

Manually triggering the popup reveals a lot more shenanigans:

7 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 0x2 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype._unremotePrincipal:825
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1301
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
8 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 0x2 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype._unremotePrincipal:825
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1301
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
9 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 0x2 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
resource://gre/modules/BrowserUtils.jsm:this.BrowserUtils.urlSecurityCheck:49
chrome://global/content/contentAreaUtils.js:urlSecurityCheck:39
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1300
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
10 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 002 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
resource://gre/modules/BrowserUtils.jsm:this.BrowserUtils.urlSecurityCheck:49
chrome://global/content/contentAreaUtils.js:urlSecurityCheck:39
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1300
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
11 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 002 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
resource://gre/modules/BrowserUtils.jsm:this.BrowserUtils.urlSecurityCheck:49
chrome://global/content/contentAreaUtils.js:urlSecurityCheck:39
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1300
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
12 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 002 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
resource://gre/modules/BrowserUtils.jsm:this.BrowserUtils.urlSecurityCheck:49
chrome://global/content/contentAreaUtils.js:urlSecurityCheck:39
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1300
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
13 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 002 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
resource://gre/modules/BrowserUtils.jsm:this.BrowserUtils.urlSecurityCheck:49
chrome://global/content/contentAreaUtils.js:urlSecurityCheck:39
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1300
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
14 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js | uncaught exception - NS_NOINTERFACE: Component returned failure code: 002 (NS_NOINTERFACE) [nsISupports.QueryInterface] at :0
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
resource://gre/modules/BrowserUtils.jsm:this.BrowserUtils.urlSecurityCheck:49
chrome://global/content/contentAreaUtils.js:urlSecurityCheck:39
chrome://browser/content/nsContextMenu.js:nsContextMenu.prototype.saveMedia:1300
chrome://browser/content/browser.xul:oncommand:1
chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:contextMenuOpened:60
null:null:0
JavaScript error: , line 0: NS_NOINTERFACE: Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface]
WARNING: content window passed to PrivateBrowsingUtils.isWindowPrivate. Use isContentWindowPrivate instead (but only for frame scripts).
pbu_isWindowPrivate@resource://gre/modules/PrivateBrowsingUtils.jsm:25:14
nsContextMenu.prototype.saveHelper@chrome://browser/content/nsContextMenu.js:1233:26
nsContextMenu.prototype.saveMedia@chrome://browser/content/nsContextMenu.js:1303:7
oncommand@chrome://browser/content/browser.xul:1:1
contextMenuOpened@chrome://mochitests/content/browser/browser/base/content/test/general/browser_save_video.js:60:5
15 INFO context-savevideo command executed</Description></bugID>